# DaoSynchronizer Class Reference
[Various accompanying utilities]

Prototyped variant of DAO synchronizer. More...

Inheritance diagram for DaoSynchronizer:
[legend]

List of all members.

## Public Member Functions

| setMaster (GenericDAO $master)
| setSlave (GenericDAO $slave)

## Static Public Member Functions

static | create ()

## Protected Member Functions

| sync ($old, $object)
| changed ($old, $object, $properties)

## Detailed Description

Prototyped variant of DAO synchronizer.

Definition at line 17 of file DaoSynchronizer.class.php.

## Member Function Documentation

DaoSynchronizer::changed | ( | $ | old,
|  | $ | object,
|  | $ | properties |
| ) |  |  | `[protected]`

Definition at line 80 of file DaoSynchronizer.class.php.

References sync().

Referenced by sync().

Here is the call graph for this function:

static DaoSynchronizer::create | ( |  | ) | `[static]`

Returns:
  DaoSynchronizer

Reimplemented from CustomizableDaoSynchronizer.

Definition at line 22 of file DaoSynchronizer.class.php.

DaoSynchronizer::setMaster | ( | GenericDAO $ | master | ) |

Returns:
  DaoSynchronizer

Reimplemented from CustomizableDaoSynchronizer.

Definition at line 30 of file DaoSynchronizer.class.php.

References Assert::isInstance().

Here is the call graph for this function:

DaoSynchronizer::setSlave | ( | GenericDAO $ | slave | ) |

Returns:
  DaoSynchronizer

Reimplemented from CustomizableDaoSynchronizer.

Definition at line 40 of file DaoSynchronizer.class.php.

References Assert::isInstance().

Here is the call graph for this function:

DaoSynchronizer::sync | ( | $ | old,
|  | $ | object |
| ) |  |  | `[protected]`

Reimplemented from CustomizableDaoSynchronizer.

Definition at line 47 of file DaoSynchronizer.class.php.

References changed().

Referenced by changed().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/DaoSynchronizer.class.php